; File:     Screen4.inc   
; ##############################################################################################
align 16
StatusProc      proc    hWnd:DWORD, uMsg:DWORD, wParam:DWORD, lParam:DWORD

                SWITCH  uMsg
                CASE    WM_SETFOCUS

                    invoke     CreateCaret, _hWndStat, NULL, 1, 15 
                    invoke     SetCaretPos, 2, 3 
                    invoke     ShowCaret, _hWndStat

                CASE    WM_KILLFOCUS

                    call       DestroyCaret
                        
                DEFAULT
                
                    invoke  CallWindowProc, _wStatus, hWnd, uMsg, wParam, lParam   

                ENDSW
                ;
                xor     eax, eax
                ret
StatusProc      endp
; ##############################################################################################
EcraRes         proc    hWnd:DWORD, uMsg:DWORD, wParam:DWORD, lParam:DWORD
;---------------------------------------
    .if uMsg == WM_INITDIALOG
      invoke  CreateFont, 24, 0, 0, 0, FW_BOLD, FALSE, FALSE, FALSE, DEFAULT_CHARSET,\
              OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS,\
              DEFAULT_QUALITY, DEFAULT_PITCH or FF_SCRIPT, addr _FontSSerif
      invoke  SendDlgItemMessage, hWnd, IDC_TITLE1, WM_SETFONT, eax, 0  
;.........................................
      invoke  CreateFont, 16, 0, 0, 0, FW_BOLD, FALSE, FALSE, FALSE, DEFAULT_CHARSET,\
              OUT_DEFAULT_PRECIS, CLIP_DEFAULT_PRECIS,\
              DEFAULT_QUALITY, DEFAULT_PITCH or FF_SCRIPT, addr _FontComic
      invoke  SendDlgItemMessage, hWnd, IDC_TITLE2, WM_SETFONT, eax, 0      
;..........................................

      invoke  GetDlgItem, hWnd, IDC_RBN1
      mov     _hWnd01, eax      
      invoke  GetDlgItem, hWnd, IDC_RBN2
      mov     _hWnd02, eax
      invoke  GetDlgItem, hWnd, IDC_RBN3
      mov     _hWnd03, eax
      invoke  GetDlgItem, hWnd, IDC_RBN4
      mov     _hWnd04, eax
      invoke  GetDlgItem, hWnd, IDC_RBN5
      mov     _hWnd05, eax
      invoke  GetDlgItem, hWnd, IDC_RBN6
      mov     _hWnd06, eax      
      invoke  GetDlgItem, hWnd, IDC_RBN7
      mov     _hWnd07, eax
      invoke  GetDlgItem, hWnd, IDC_RBN8
      mov     _hWnd08, eax      
      invoke  GetDlgItem, hWnd, IDC_RBN9
      mov     _hWnd09, eax
      invoke  GetDlgItem, hWnd, IDC_RBN10
      mov     _hWnd10, eax      

      invoke  SendMessage, _hWnd01, BM_SETCHECK, BST_CHECKED, 0
      invoke  SendMessage, _hWnd02, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd03, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd04, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd05, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd06, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd07, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd08, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd09, BM_SETCHECK, BST_UNCHECKED, 0
      invoke  SendMessage, _hWnd10, BM_SETCHECK, BST_UNCHECKED, 0      
      ret
    .elseif uMsg == WM_CLOSE        
      invoke  EndDialog, hWnd, 0    
      ret        
    .elseif uMsg == WM_COMMAND      
      mov     eax, wParam
      .if eax == IDC_COMUTA

        invoke    SendMessage, _hWnd01, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED
          mov     _ScreenRes.dmPelsWidth, 800           ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 600          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 75     ; Monitor Display Frequency
jmp     _next
        .endif

        invoke    SendMessage, _hWnd02, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED  
          mov     _ScreenRes.dmPelsWidth, 960           ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 600          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 60     ; Monitor Display Frequency
jmp     _next
        .endif

        invoke    SendMessage, _hWnd03, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED 
          mov     _ScreenRes.dmPelsWidth, 1024          ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 768          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 85     ; Monitor Display Frequency
jmp     _next
        .endif

        invoke    SendMessage, _hWnd04, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED     
          mov     _ScreenRes.dmPelsWidth, 1152          ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 864          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 75     ; Monitor Display Frequency
jmp     _next
        .endif

        invoke    SendMessage, _hWnd05, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED
          mov     _ScreenRes.dmPelsWidth, 1280          ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 720          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 75     ; Monitor Display Frequency
jmp     _next
        .endif

        invoke    SendMessage, _hWnd06, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED
          mov     _ScreenRes.dmPelsWidth, 1280          ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 768          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 75     ; Monitor Display Frequency
jmp     _next
        .endif

        invoke    SendMessage, _hWnd07, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED
          mov     _ScreenRes.dmPelsWidth, 1280          ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 800          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 60     ; Monitor Display Frequency
jmp     _next
        .endif

        invoke    SendMessage, _hWnd08, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED
          mov     _ScreenRes.dmPelsWidth, 1280          ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 960          ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 75     ; Monitor Display Frequency
jmp     _next
        .endif
        
        invoke    SendMessage, _hWnd09, BM_GETSTATE, 0, 0        
        .if eax == BST_CHECKED
          mov     _ScreenRes.dmPelsWidth, 1280          ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 1024         ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 75     ; Monitor Display Frequency
jmp     _next
        .endif

          mov     _ScreenRes.dmPelsWidth,1600           ; X pixel width 
          mov     _ScreenRes.dmPelsHeight, 1200         ; Y pixel height 
          mov     _ScreenRes.dmDisplayFrequency, 60     ; Monitor Display Frequency

_next:  mov     _ScreenRes.dmFields, FIELDSRES
        mov     _ScreenRes.dmBitsPerPel, 32           ; Color bits
        mov     _ScreenRes.dmDisplayFlags, 0          ; Display mode noninterlaced
        mov     _ScreenRes.dmSize, sizeof _ScreenRes  ; Size of resolution structure

        invoke  ChangeDisplaySettings, addr _ScreenRes, 0          
        
      .elseif eax == IDC_FECHA
        invoke  SendMessage, hWnd, WM_CLOSE, NULL, NULL
        ret
      .endif
    .endif
    xor     eax, eax
    ret
;--------------------------------------
EcraRes     endp
; 
GetDisplayDC        proc
                    ;
                    mov         eax, _hdc
                    ;
                    cmp         eax, 0
                    je          short @F
                    ret
                    ;
@@:                 invoke      GetDC, _hWnd
                    cmp         eax, 0
                    jne         @F
                    ;
                    ; erro ao obter device context
                    ; ----------------------------
                    stc
                    ret
                    ; 
@@:                 mov         _hdc, eax
                    ;
                    mov         _hBmpMem, 0
                    mov         _hMemDC, 0

                    ; 
                    ;     Obtm a rea de cliente para criar MemDC
                    ; 
                    invoke      GetClientRect, _hWnd, addr _MemLeftX

            ;--------------------------------------------------------------------
                    ; 
                    ;           Cria MemDC
                    ; 
                    invoke      CreateCompatibleDC, _hdc
                    mov         _hMemDC, eax
                    cmp         eax, NULL
                    jne         @F
                    ;
                    ; erro ao criar CompatibleDC
                    ; --------------------------
@@:                    
                    ; 
                    ; Cria color Bitmap usando _hdc e no _hMemDC
                    ; 
                    invoke   CreateCompatibleBitmap, _hdc, _MemDimX, _MemDimY
                    mov      _hBmpMem1, eax
                    invoke   SelectObject, _hMemDC, _hBmpMem1             ;( memDC, memBM

                    LOADIMAGEM  _BitMap0
                    ;LOADIMAGEM  _BitMap1

                    clc
                    ret
GetDisplayDC        endp

